CH_TRACK(1)

NAME
ch_track - change/copy track file

SYNOPSIS
ch_track [-h] [-itype file type] [-ctype contour type] [-s frame spacing] [-c channels] [-start time] [-end time] [-from frame] [-to frame] [-o file] [-otype file type] [-S frame spacing] [-info] [-track_names file] [-diff] [-delta length] [-sm time] [-smtype median | mean] [-style style] [-t threshold] [-neg label] [-pos label] [-pc longest | first] input file

DESCRIPTION
ch_track copies an input track file to an output track file, optionally performing various operations along the way.

The following option flags are recognized:

-h  Print a short summary of options to standard output.
-itype file type
    Input file type (optional). If no type is specified, type is automatically derived from the input file's header. The list of supported types may depend on your particular Speech Tools installation. For a full listing, see the output of the -h option.
-ctype F0 | track
    Contour type, either F0 (fundamental frequency) or track.
-s time
    Frame spacing of input in seconds, for unheadered input file.
-c channels
    Select a subset of channels (starting from 0). Tracks can have multiple channels. This option specifies a list of channel numbers which are to be used for processing.
-start time
    Extract track starting at this time, specified in seconds.
-end time
    Extract track ending at this time, specified in seconds.
-from frame
    Extract track starting at this offset, specified in frames.
-to frame
    Extract track ending at this offset, specified in frames.
-o file
    Filename to write output to. Defaults to standard output.
-otype file type
    Output file type. If unspecified, ascii is assumed. For the full list of supported types, see the output of the -h option.
-S time
    Frame spacing of output in seconds. If this is different from the input spacing, the contour will be resampled.
-info
    Print information about the input file and its headers. This option gives useful information such as file length, file type, and channel names. No other actions are taken, and no output file produced.
-track_names file
    File containing new names for output channels
-diff
    Differentiate contour. This performs simple numerical differentiation on the contour by subtracting the amplitude of the current frame from the amplitude of the next. Although quick, this technique is crude and not recommended as the estimation of the derivate is done on only one point.
-delta length
    Make delta coefficients (better form of differentiation). The argument to this option is the regression length of the delta calculation and can be between 2 and 4.
-sm time
    Length of smoothing window in seconds. Various types of smoothing are available for tracks. This option specifies length of the smoothing window which affects the degree of smoothing, i.e. a longer value means more smoothing.
-smtype median | mean
    Type of smoothing.
-style style
    Convert track to another form. Currently only one form, "label", is supported. This uses a specified cutoff to make a label file, with two labels, one for above the cutoff (see the -pos option), and one for below (see the -neg option).
-t threshold
    Threshold for track to label conversion.
-neg label
    Name of negative label in track to label conversion.
-pos label
    Name of positive label in track to label conversion.
-pc longest | first
    Combind given tracks in parallel. If option is "longest", pad shorter tracks to longest, else if "first", pad or cut them as appropriate to match the length of the first input track.

SEE ALSO
ch_lab(1) ch_utt(1)